Qualifier (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.flush.operation, class: Qualifier

# Class Qualifier

java.lang.Object
org.apache.cayenne.access.flush.operation.Qualifier

public class Qualifier extends Object
Qualifier of DB row. It uses PK and optimistic lock qualifier if any.

Since:
  4.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<DbAttribute, Object>`
  `additionalQualifier`
  `protected List<String>`
  `nullNames`
  `protected boolean`
  `optimisticLock`
  `protected final DbRowOp`
  `row`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Qualifier(DbRowOp row)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAdditionalQualifier(DbAttribute dbAttribute, Object value)`
  `void`
  `addAdditionalQualifier(DbAttribute dbAttribute, Object value, boolean optimisticLock)`
  `Collection<String>`
  `getNullQualifierNames()`
  `List<DbAttribute>`
  `getQualifierAttributes()`
  `Map<String,Object>`
  `getSnapshot()`
  `boolean`
  `isSameBatch(Qualifier other)`
  `boolean`
  `isUsingOptimisticLocking()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### row

    protected final DbRowOp row

  - ### additionalQualifier

    protected Map<DbAttribute, Object> additionalQualifier

  - ### nullNames

    protected List<String> nullNames

  - ### optimisticLock

    protected boolean optimisticLock

- ## Constructor Details

  - ### Qualifier

    protected Qualifier(DbRowOp row)

- ## Method Details

  - ### getSnapshot

    public Map<String,Object> getSnapshot()

  - ### getQualifierAttributes

    public List<DbAttribute> getQualifierAttributes()

  - ### getNullQualifierNames

    public Collection<String> getNullQualifierNames()

  - ### addAdditionalQualifier

    public void addAdditionalQualifier(DbAttribute dbAttribute, Object value)

  - ### addAdditionalQualifier

    public void addAdditionalQualifier(DbAttribute dbAttribute, Object value, boolean optimisticLock)

  - ### isUsingOptimisticLocking

    public boolean isUsingOptimisticLocking()

  - ### isSameBatch

    public boolean isSameBatch(Qualifier other)